CREATE TABLE tbl_epo_member (
  memId INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  memName VARCHAR(200) NOT NULL,
  memBody TEXT NULL,
  memUsername VARCHAR(20) NOT NULL,
  memPassword VARCHAR(52) NOT NULL,
  memOrganization VARCHAR(100) NULL,
  memEmail VARCHAR(50) NOT NULL,
  memGavantar ENUM('y','n') NOT NULL DEFAULT 'n',
  memActive ENUM('y','n') NOT NULL DEFAULT 'n',
  memPriv ENUM('u','a') NOT NULL DEFAULT 'u',
  PRIMARY KEY(memId)
);

CREATE TABLE tbl_epo_blog (
  blgId INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  memId INTEGER UNSIGNED NOT NULL,
  blgTitle VARCHAR(80) NOT NULL,
  blgBody TEXT NOT NULL,
  blgSlogan VARCHAR(100) NOT NULL,
  blgShortCut VARCHAR(20) NOT NULL,
  blgTheme VARCHAR(50) NOT NULL DEFAULT "default",
  blgLanguage VARCHAR(100) NOT NULL DEFAULT "english",
  blgActive ENUM('y','n') NOT NULL DEFAULT "y",
  PRIMARY KEY(blgId),
  INDEX tbl_epo_blog_FKIndex1(memId)
);

CREATE TABLE tbl_epo_blog_item (
  bitId INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  blgId INTEGER UNSIGNED NOT NULL,
  bitTitle VARCHAR(200) NOT NULL,
  bitBody TEXT NULL,
  bitCreate DATETIME NOT NULL,
  bitModified DATETIME NOT NULL,
  bitComment ENUM('y','n') NOT NULL DEFAULT "y",
  bitActive ENUM('y','n') NOT NULL DEFAULT "y",
  PRIMARY KEY(bitId),
  INDEX tbl_epo_blog_item_FKIndex1(blgId)
);

CREATE TABLE tbl_epo_tag (
  tagId INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  tagWord VARCHAR(20) NOT NULL,
  PRIMARY KEY(tagId)
);

CREATE TABLE tbl_epo_tag_item (
  itmId BIGINT NOT NULL AUTO_INCREMENT,
  tagId INTEGER UNSIGNED NOT NULL,
  itmTypeId INTEGER UNSIGNED NOT NULL,
  itmType ENUM('p','b','i','f') NOT NULL,
  PRIMARY KEY(itmId),
  INDEX tbl_epo_tag_item_FKIndex1(tagId)
);

CREATE TABLE tbl_epo_block (
  blcId INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  blcTitle VARCHAR(50) NOT NULL,
  blcName VARCHAR(50) NOT NULL,
  blcPage TEXT NOT NULL,
  blcActive ENUM('y','n') NOT NULL,
  blcPosition ENUM('t','d','l','r','c') NOT NULL DEFAULT "c",
  PRIMARY KEY(blcId)
);

CREATE TABLE tbl_epo_file (
  filId INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  memId INTEGER UNSIGNED NOT NULL,
  filTitle VARCHAR(100) NOT NULL,
  filBody TEXT NOT NULL,
  filName VARCHAR(100) NOT NULL,
  filType VARCHAR(50) NOT NULL,
  filModified DATETIME NOT NULL,
  PRIMARY KEY(filId),
  INDEX tbl_epo_file_FKIndex1(memId)
);

CREATE TABLE tbl_epo_comment (
  comId INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  bitId INTEGER UNSIGNED NOT NULL,
  memId INTEGER UNSIGNED NOT NULL,
  comBody TEXT NOT NULL,
  comDate DATETIME NOT NULL,
  PRIMARY KEY(comId),
  INDEX tbl_epo_comment_FKIndex1(bitId),
  INDEX tbl_epo_comment_FKIndex2(memId)
);

INSERT INTO tbl_epo_blog VALUES (1, 1, 'tinyblogr', 'Tiny''s blog talking about my life ', 'Tiny''s blog', 'tinyblogr', 'default', 'english', 'y');

INSERT INTO tbl_epo_member VALUES (1, 'Tiny Bloger', 'I am administrator', 'tinyblogr', 'e2231edb898ffe112b4d5b70adbe18202e7e588c','RedLine Software', 'tiny@redlinesoft.net', 'n', 'y', 'a');

INSERT INTO tbl_epo_tag VALUES (1, 'redlinesoft');
INSERT INTO tbl_epo_tag VALUES (2, 'cms');
INSERT INTO tbl_epo_tag VALUES (3, 'hosting');
INSERT INTO tbl_epo_tag VALUES (4, 'icecast');
INSERT INTO tbl_epo_tag VALUES (5, 'streamserver');
INSERT INTO tbl_epo_tag VALUES (6, 'theme');
INSERT INTO tbl_epo_tag VALUES (7, 'cnet');
INSERT INTO tbl_epo_tag VALUES (8, 'kde4');
INSERT INTO tbl_epo_tag VALUES (9, 'qt4');
INSERT INTO tbl_epo_tag VALUES (10, 'investigation');
INSERT INTO tbl_epo_tag VALUES (11, 'drupal');
INSERT INTO tbl_epo_tag VALUES (12, 'dd');
INSERT INTO tbl_epo_tag VALUES (13, 'shell');
INSERT INTO tbl_epo_tag VALUES (14, 'command');
INSERT INTO tbl_epo_tag VALUES (15, 'liveusb');
INSERT INTO tbl_epo_tag VALUES (16, 'linux');
INSERT INTO tbl_epo_tag VALUES (17, 'winamp');
INSERT INTO tbl_epo_tag VALUES (18, 'mp3');
INSERT INTO tbl_epo_tag VALUES (19, 'blog');
INSERT INTO tbl_epo_tag VALUES (20, 'siamhostdd');
INSERT INTO tbl_epo_tag VALUES (21, 'garamon');
INSERT INTO tbl_epo_tag VALUES (22, 'metamedia');

INSERT INTO tbl_epo_tag_item VALUES (3, 1, 1, 'p');
INSERT INTO tbl_epo_tag_item VALUES (2, 1, 2, 'p');
INSERT INTO tbl_epo_tag_item VALUES (1, 1, 3, 'p');
INSERT INTO tbl_epo_tag_item VALUES (4, 1, 6, 'b');

INSERT INTO tbl_epo_block VALUES (1, 'LastPost', 'lastpost', '/', 'y', 'c');
INSERT INTO tbl_epo_block VALUES (2, 'Info', 'info', '*', 'y', 'r');
INSERT INTO tbl_epo_block VALUES (3, 'Navigator', 'navigator', '*', 'y', 'r');
INSERT INTO tbl_epo_block VALUES (4, 'Tag Cloud', 'tagcloud', '*', 'y', 'r');