<?php 

/*
Copyright (C) 2008 Anoochit Chalothorn <anoochit@redlinesoft.net>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

include("setconfig.inc.php");

// load language file
if (file_exists("language/lang-".$cfg_lang.".php")) {
	include_once("language/lang-".$cfg_lang.".php");
} else {
	include_once("language/lang-english.php");
}

// alignment URI
if (!empty($cfg_subdir)) {
	$_SERVER['REQUEST_URI']=substr($_SERVER['REQUEST_URI'],strlen($cfg_subdir)+1);
}

// create strap value
$strap=split("/",$_SERVER['REQUEST_URI']);
$act=$strap[1]; // command or action
$mod=$strap[2]; // value
$file=$strap[3]; // files
$item=$strap[4]; // id 

// load offline
if ($cfg_offline=="y") {
	header("location:".$cfg_url."/offline.php");
}

// load index
if ($act=="") {
	$boot="load_index";
}

// load setting
if (($act=="setting") and (!empty($mod))) {
	//echo "load setting ".$mod;
	$boot="load_setting";
} 

// load blog
if (($act=="blog") and (!empty($mod)) and (empty($file))) {
	$boot="load_blog";
} else if (($act=="blog") and (!empty($mod)) and ($file=="page"))  {
	$boot="load_blog";	
}

// load view blog
if (($act=="blog") and (empty($mod)) and (empty($file))) {
	$boot="load_blog_view";
}

// load blog new post
if (($act=="blog") and (!empty($mod)) and ($file=="post") and (empty($item))) {
	$boot="load_blog_post";
}

// load blog publish
if (($act=="blog") and (!empty($mod)) and ($file=="publish") and (empty($item))) {
	$boot="load_blog_publish";
}

// load blog delete
if (($act=="blog") and (!empty($mod)) and ($file=="delete") and (!empty($item))) {
	$boot="load_blog_deleteitem";
}

// load blog preferance
if (($act=="blog") and (!empty($mod)) and ($file=="preferance") and (empty($item))) {
	$boot="load_blog_preferance";
}

// load blog entry
if (($act=="blog") and (!empty($mod)) and ($file=="entry") and (empty($item))) {
	$boot="load_blog_entry";
} else if (($act=="blog") and (!empty($mod)) and ($file=="entry") and (!empty($item)))  {
	$boot="load_blog_entry";	
}

// load blog post
if (($act=="blog") and (!empty($mod)) and ($file=="view") and (!empty($item))) {
	$boot="load_blog_viewitem";
}

// load blog edit item
if (($act=="blog") and (!empty($mod)) and ($file=="edit") and (!empty($item))) {
	$boot="load_blog_edititem";
}

// load profile setting
if (($act=="profile") and (!empty($mod)) ) {
	$boot="load_profile";
}

// load controlpanel setting
if (($act=="cp") and (empty($mod)) ) {
	$boot="load_cp";
} else if (($act=="cp") and (!empty($mod)) ) {
	// load cp with module
	$boot="load_cp_module";
}

if (($act=="cp") and (!empty($mod)) and ($file=="page"))  {
	$boot="load_cp_module";	
}

// load file user
if (($act=="files") and (!empty($mod)) ) {
	$boot="load_file_user";
} else if (($act=="files") and (!empty($mod)) and ($file=="page")) {
	$boot="load_file_user";
}

// load profile edit
if (($act=="user") and (!empty($mod)) and ($file=="edit")) {
	$boot="load_profile_edit";
}

// load profile delete
if (($act=="user") and (!empty($mod)) and ($file=="delete")) {
	$boot="load_profile_delete";
}

// load profile view
if (($act=="user") and (!empty($mod)) and ($file=="view")) {
	$boot="load_profile_view";
}

// load profile active
if (($act=="user") and (!empty($mod)) and ($file=="active")) {
	$boot="load_profile_active";
}

// load blog edit
if (($act=="blog") and (!empty($mod)) and ($file=="edit") and (empty($item))) {
	$boot="load_blog_edit";
}

// load blog delete
if (($act=="blog") and (!empty($mod)) and ($file=="delete") and (empty($item))) {
	$boot="load_blog_delete";
}

// load blog active
if (($act=="blog") and (!empty($mod)) and ($file=="active")) {
	$boot="load_blog_active";
}

// load file upload
if (($act=="files") and ($mod=="upload")  ) {
	$boot="load_file_upload";
}

// load file download
if (($act=="files") and ($mod=="download") and (!empty($file))) {
	$boot="load_file_download";
}

// load view file
if (($act=="files") and ($mod=="view") and (!empty($file)) and (!empty($item))) {
	$boot="load_file_view";
}

// load edit file
if (($act=="files") and ($mod=="edit") and (!empty($file)) and (!empty($item))) {
	$boot="load_file_edit";
}

// load edit file
if (($act=="files") and ($mod=="delete") and (!empty($file)) and (!empty($item))) {
	$boot="load_file_delete";
}

// load tag
if (($act=="tags") and (!empty($mod)) and (empty($file)) ) {
	$boot="load_tag";
} else if (($act=="tags") and (!empty($mod)) and ($file=="page")) {
	$boot="load_tag";
}

// load tag file
if (($act=="tags") and ($mod=="files") and (!empty($file))) {
	$boot="load_tag_file";
} else if (($act=="tags") and ($mod=="files") and ($file=="page")) {
	$boot="load_tag_file";
}

// load tag user
if (($act=="tags") and ($mod=="user") and (!empty($file))) {
	$boot="load_tag_user";
} else if (($act=="tags") and ($mod=="user") and ($file=="page")) {
	$boot="load_tag_user";
}

// load search
if (($act=="search")) {
	$boot="load_search";
}

// load feed
if (($act=="feed") and (!empty($mod)) ) {
	$boot="load_feed";
}


// load login
if (($act=="login") and (empty($mod)) ) {
	$boot="load_login";
}

// load logout
if (($act=="logout") and (empty($mod)) ) {
	$boot="load_logout";
}

// load login
if (($act=="activate") and (!empty($mod)) ) {
	$boot="load_activate";
}

//load register
if (($act=="register") and (empty($mod)) ) {
	$boot="load_register";
}

// load file setting
if (($act=="offline") and (!empty($mod)) ) {
	$boot="load_offline";
}

// load evironment smarty var
$smarty->assign("site_url", $cfg['url']);

// load footer
ob_start();			
require_once("include/footer.inc.php");
$content = ob_get_contents();
ob_end_clean();
$smarty->assign("site_footer", $content);

// boot 
switch ($boot) {
	case "load_login": 
		// is login
		if ($_SESSION['eportid'] > 0) {
			$obeport->goPageDelay("blog/".$_SESSION['eportlogin'],1);
		} else {
			// load login
			ob_start();			
			require_once("modules/login/index.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>";
			$navigator_content.="";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('login.tpl');
		}
		break;
	case "load_logout":
			// load logout
			ob_start();			
			require_once("modules/login/logout.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>";
			$navigator_content.="";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('logout.tpl');
		break;
	case "load_register": 
			// load register
			ob_start();			
			require_once("modules/register/index.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>";
			$navigator_content.="";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('register.tpl');
		break;	
	case "load_activate":
			// load activate
			ob_start();			
			require_once("modules/register/activate.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>";
			$navigator_content.="";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('activate.tpl');
		break;
	case "load_cp":
			// is login
			if ($_SESSION['eportid']<=0) :
				$obeport->goPageDelay("login",1);
			else:
			// load user info
			$uinfo=$obeport->getUserInfo($_SESSION['eportid']);
			// load cp
			ob_start();			
			require_once("modules/control/index.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", _PORT_CONTROL_PANEL);
			$smarty->assign("site_subtitle",$uinfo[1]);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/blog/".$uinfo[3]."\">".$uinfo[3]."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/cp\">"._PORT_CONTROL_PANEL."</a>&nbsp;";
			//$navigator_content.="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/systemsettings.png\" align=\"absmiddle\">&nbsp;<a href=\"".$cfg_url."/cp\">"._PORT_CONTROL_PANEL."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			
			// load block right
			$blockcontent=$obeport->getBlock("r","*");
			$blockcontent.=$obeport->getBlock("r","/cp");
			$smarty->assign("site_block_right",$blockcontent);
			// load block left
			$blockcontent=$obeport->getBlock("l","*");
			$blockcontent.=$obeport->getBlock("l","/cp");	
			$smarty->assign("site_block_left",$blockcontent);
			// load block center
			$blockcontent=$obeport->getBlock("c","*");
			$blockcontent.=$obeport->getBlock("c","/cp");						
			$smarty->assign("site_block_center",$blockcontent);
			// load block top
			$blockcontent=$obeport->getBlock("t","*");
			$blockcontent.=$obeport->getBlock("t","/cp");						
			$smarty->assign("site_block_top",$blockcontent);		
			// load block down
			$blockcontent=$obeport->getBlock("d","*");
			$blockcontent.=$obeport->getBlock("d","/cp");						
			$smarty->assign("site_block_top",$blockcontent);		
				
			// display
			$smarty->display('cp.tpl');
			endif;
		break;		
	case "load_cp_module":
			// is login
			if ($_SESSION['eportid']<=0) :
				$obeport->goPageDelay("login",1);
			else:
			// load user info
			$uinfo=$obeport->getUserInfo($_SESSION['eportid']);
			// load cp
			ob_start();
			// check mod file
			if (file_exists("modules/control/control.".$mod.".php")) {
				require_once("modules/control/control.".$mod.".php");
			} else {
				$obeport->goPageDelay("cp",1);
			}
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", _PORT_CONTROL_PANEL);
			$smarty->assign("site_subtitle", $uinfo[1]);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/blog/".$uinfo[3]."\">".$uinfo[3]."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/cp\">"._PORT_CONTROL_PANEL."</a>&nbsp;";
			//$navigator_content.="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/systemsettings.png\" align=\"absmiddle\">&nbsp;<a href=\"".$cfg_url."/cp\">"._PORT_CONTROL_PANEL."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('cp.tpl');
			endif;
		break;				
	case "load_index":		
			// load index
			ob_start();	
			require_once("modules/front/index.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			
			// load block right
			$blockcontent=$obeport->getBlock("r","*");
			$blockcontent.=$obeport->getBlock("r","/");
			$smarty->assign("site_block_right",$blockcontent);
			// load block left
			$blockcontent=$obeport->getBlock("l","*");
			$blockcontent.=$obeport->getBlock("l","/");	
			$smarty->assign("site_block_left",$blockcontent);
			// load block center
			$blockcontent=$obeport->getBlock("c","*");
			$blockcontent.=$obeport->getBlock("c","/");						
			$smarty->assign("site_block_center",$blockcontent);
			// load block top
			$blockcontent=$obeport->getBlock("t","*");
			$blockcontent.=$obeport->getBlock("t","/");						
			$smarty->assign("site_block_top",$blockcontent);		
			// load block down
			$blockcontent=$obeport->getBlock("d","*");
			$blockcontent.=$obeport->getBlock("d","/");						
			$smarty->assign("site_block_top",$blockcontent);		
			
			// display
			$smarty->display('home.tpl');
		break;
	case "load_search":		
			// load index
			ob_start();	
			require_once("modules/search/index.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			
			// load block right
			$blockcontent=$obeport->getBlock("r","*");
			$blockcontent.=$obeport->getBlock("r","/");
			$smarty->assign("site_block_right",$blockcontent);
			// load block left
			$blockcontent=$obeport->getBlock("l","*");
			$blockcontent.=$obeport->getBlock("l","/");	
			$smarty->assign("site_block_left",$blockcontent);
			// load block center
			$blockcontent=$obeport->getBlock("c","*");
			$blockcontent.=$obeport->getBlock("c","/");						
			$smarty->assign("site_block_center",$blockcontent);
			// load block top
			$blockcontent=$obeport->getBlock("t","*");
			$blockcontent.=$obeport->getBlock("t","/");						
			$smarty->assign("site_block_top",$blockcontent);		
			// load block down
			$blockcontent=$obeport->getBlock("d","*");
			$blockcontent.=$obeport->getBlock("d","/");						
			$smarty->assign("site_block_top",$blockcontent);		
			
			// display
			$smarty->display('home.tpl');
		break;		
	case "load_tag":		
			// load index
			ob_start();	
			require_once("modules/tag/index.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			
			// load block right
			$blockcontent=$obeport->getBlock("r","*");
			$blockcontent.=$obeport->getBlock("r","/");
			$smarty->assign("site_block_right",$blockcontent);
			// load block left
			$blockcontent=$obeport->getBlock("l","*");
			$blockcontent.=$obeport->getBlock("l","/");	
			$smarty->assign("site_block_left",$blockcontent);
			// load block center
			$blockcontent=$obeport->getBlock("c","*");
			$blockcontent.=$obeport->getBlock("c","/");						
			$smarty->assign("site_block_center",$blockcontent);
			// load block top
			$blockcontent=$obeport->getBlock("t","*");
			$blockcontent.=$obeport->getBlock("t","/");						
			$smarty->assign("site_block_top",$blockcontent);		
			// load block down
			$blockcontent=$obeport->getBlock("d","*");
			$blockcontent.=$obeport->getBlock("d","/");						
			$smarty->assign("site_block_top",$blockcontent);		
			
			// display
			$smarty->display('home.tpl');
		break;
	case "load_tag_file":		
			// load index
			ob_start();	
			require_once("modules/tag/tagfiles.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			
			// load block right
			$blockcontent=$obeport->getBlock("r","*");
			$blockcontent.=$obeport->getBlock("r","/");
			$smarty->assign("site_block_right",$blockcontent);
			// load block left
			$blockcontent=$obeport->getBlock("l","*");
			$blockcontent.=$obeport->getBlock("l","/");	
			$smarty->assign("site_block_left",$blockcontent);
			// load block center
			$blockcontent=$obeport->getBlock("c","*");
			$blockcontent.=$obeport->getBlock("c","/");						
			$smarty->assign("site_block_center",$blockcontent);
			// load block top
			$blockcontent=$obeport->getBlock("t","*");
			$blockcontent.=$obeport->getBlock("t","/");						
			$smarty->assign("site_block_top",$blockcontent);		
			// load block down
			$blockcontent=$obeport->getBlock("d","*");
			$blockcontent.=$obeport->getBlock("d","/");						
			$smarty->assign("site_block_top",$blockcontent);		
			
			// display
			$smarty->display('home.tpl');
		break;
	case "load_tag_user":		
			// load index
			ob_start();	
			require_once("modules/tag/taguser.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			
			// load block right
			$blockcontent=$obeport->getBlock("r","*");
			$blockcontent.=$obeport->getBlock("r","/");
			$smarty->assign("site_block_right",$blockcontent);
			// load block left
			$blockcontent=$obeport->getBlock("l","*");
			$blockcontent.=$obeport->getBlock("l","/");	
			$smarty->assign("site_block_left",$blockcontent);
			// load block center
			$blockcontent=$obeport->getBlock("c","*");
			$blockcontent.=$obeport->getBlock("c","/");						
			$smarty->assign("site_block_center",$blockcontent);
			// load block top
			$blockcontent=$obeport->getBlock("t","*");
			$blockcontent.=$obeport->getBlock("t","/");						
			$smarty->assign("site_block_top",$blockcontent);		
			// load block down
			$blockcontent=$obeport->getBlock("d","*");
			$blockcontent.=$obeport->getBlock("d","/");						
			$smarty->assign("site_block_top",$blockcontent);		
			
			// display
			$smarty->display('home.tpl');
		break;	
case "load_blog":
			// is blog exist
			if (($obeport->isBlogExist($mod))<=0) :
				$obeport->goPageDelay("",1);
			else:
			// load user blog theme
			$blginfo=$obeport->getBlogInfo($mod);
			$smarty->assign("site_theme", $blginfo[7]);
			
			// load index
			ob_start();	
			require_once("modules/blog/index.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			// load blog info
			$binfo=$obeport->getBlogInfo($mod);
			// set title
			$smarty->assign("site_title", $binfo[1]);
			$smarty->assign("site_subtitle", $binfo[3]);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/blog/".$mod."\">".$mod."</a>&nbsp;&nbsp;";
			$smarty->assign("site_path", $navigator_content);

			// load block right
			$blockcontent=$obeport->getBlock("r","*");
			$blockcontent.=$obeport->getBlock("r","/blog/*");
			$smarty->assign("site_block_right",$blockcontent);
			// load block left
			$blockcontent=$obeport->getBlock("l","*");
			$blockcontent.=$obeport->getBlock("l","/blog/*");	
			$smarty->assign("site_block_left",$blockcontent);
			// load block center
			$blockcontent=$obeport->getBlock("c","*");
			$blockcontent.=$obeport->getBlock("c","/blog/*");						
			$smarty->assign("site_block_center",$blockcontent);
			// load block top
			$blockcontent=$obeport->getBlock("t","*");
			$blockcontent.=$obeport->getBlock("t","/blog/*");						
			$smarty->assign("site_block_top",$blockcontent);		
			// load block down
			$blockcontent=$obeport->getBlock("d","*");
			$blockcontent.=$obeport->getBlock("d","/blog/*");						
			$smarty->assign("site_block_top",$blockcontent);	
			
			// display
			$smarty->display('blog.tpl');
			endif;
		break;
case "load_blog_view":
			// load index
			ob_start();	
			require_once("modules/blog/viewblog.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			// load blog info
			$binfo=$obeport->getBlogInfo($mod);
			// set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;";
			//$navigator_content.="<a href=\"/blog/".$mod."\">".$mod."</a>&nbsp;&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('blog.tpl');
		break;			
case "load_blog_publish":
			// is blog exist
			if ((($obeport->isBlogExist($mod))<=0) OR ($_SESSION['eportid']<=0)) :
				$obeport->goPageDelay("",1);
			else:
			// load index
			ob_start();	
			require_once("modules/blog/publish.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			// load blog info
			$binfo=$obeport->getBlogInfo($mod);
			// set title
			$smarty->assign("site_title", $binfo[1]);
			$smarty->assign("site_subtitle", $binfo[3]);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/blog/".$mod."\">".$mod."</a>&nbsp;&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('blog.tpl');
			endif;
		break;		
case "load_blog_preferance":
			// is blog exist
			if ((($obeport->isBlogExist($mod))<=0) OR ($_SESSION['eportid']<=0)) :
				$obeport->goPageDelay("",1);
			else:
			// load index
			ob_start();	
			require_once("modules/blog/preferance.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			// load blog info
			$binfo=$obeport->getBlogInfo($mod);
			// set title
			$smarty->assign("site_title", $binfo[1]);
			$smarty->assign("site_subtitle", $binfo[3]);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/blog/".$mod."\">".$mod."</a>&nbsp;&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('blog.tpl');
			endif;
		break;			
case "load_blog_entry":
			// load blog info
			$binfo=$obeport->getBlogInfo($mod);
			// is blog exist
			if ((($obeport->isBlogExist($mod))<=0) OR ($_SESSION['eportid']!=$binfo[6])) :
				$obeport->goPageDelay("",1);
			else:
			// load index
			ob_start();	
			require_once("modules/blog/entry.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			// load blog info
			$binfo=$obeport->getBlogInfo($mod);
			// set title
			$smarty->assign("site_title", $binfo[1]);
			$smarty->assign("site_subtitle", $binfo[3]);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/blog/".$mod."\">".$mod."</a>&nbsp;&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('blog.tpl');
			endif;
		break;		
case "load_blog_viewitem":
			// is blog exist
			if (($obeport->isBlogExist($mod))<=0) :
				$obeport->goPageDelay("",1);
			else:	
			// load user blog theme
			$blginfo=$obeport->getBlogInfo($mod);
			$smarty->assign("site_theme", $blginfo[7]);			
			// load page
			ob_start();	
			require_once("modules/blog/viewitem.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			// load blog info
			$binfo=$obeport->getBlogInfo($mod);
			// set title
			$smarty->assign("site_title", $binfo[1]);
			$smarty->assign("site_subtitle", $binfo[3]);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/blog/".$mod."\">".$mod."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			
			// load block right
			$blockcontent=$obeport->getBlock("r","*");
			$blockcontent.=$obeport->getBlock("r","/blog/*");
			$smarty->assign("site_block_right",$blockcontent);
			// load block left
			$blockcontent=$obeport->getBlock("l","*");
			$blockcontent.=$obeport->getBlock("l","/blog/*");	
			$smarty->assign("site_block_left",$blockcontent);
			// load block center
			$blockcontent=$obeport->getBlock("c","*");
			$blockcontent.=$obeport->getBlock("c","/blog/*");						
			$smarty->assign("site_block_center",$blockcontent);
			// load block top
			$blockcontent=$obeport->getBlock("t","*");
			$blockcontent.=$obeport->getBlock("t","/blog/*");						
			$smarty->assign("site_block_top",$blockcontent);		
			// load block down
			$blockcontent=$obeport->getBlock("d","*");
			$blockcontent.=$obeport->getBlock("d","/blog/*");						
			$smarty->assign("site_block_top",$blockcontent);		
						
			// display
			$smarty->display('blog.tpl');
			endif;
		break;
case "load_blog_edititem":
			// load blog info
			$binfo=$obeport->getBlogInfo($mod);
			// is blog exist and login
			if ((($obeport->isBlogExist($mod))<=0) OR ($_SESSION['eportid']!=$binfo[6])) :
				$obeport->goPageDelay("",1);
			else:	
			// load page
			ob_start();	
			require_once("modules/blog/edititem.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			// load blog info
			$binfo=$obeport->getBlogInfo($mod);
			// set title
			$smarty->assign("site_title", $binfo[1]);
			$smarty->assign("site_subtitle", $binfo[3]);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/blog/".$mod."\">".$mod."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('blog.tpl');
			endif;
		break;			
case "load_blog_deleteitem":
			// load blog info
			$binfo=$obeport->getBlogInfo($mod);
			// is blog exist and login
			if ((($obeport->isBlogExist($mod))<=0) OR ($_SESSION['eportid']!=$binfo[6])) :
				$obeport->goPageDelay("",1);
			else:	
			// load page
			ob_start();	
			require_once("modules/blog/deleteitem.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			// load blog info
			$binfo=$obeport->getBlogInfo($mod);
			// set title
			$smarty->assign("site_title", $binfo[1]);
			$smarty->assign("site_subtitle", $binfo[3]);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/blog/".$mod."\">".$mod."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('blog.tpl');
			endif;
		break;					
case "load_blog_post":	
			// is login and get blog info from blog shotcut
			$bloginfo=$obeport->getBlogInfo($mod);
			if (($_SESSION['eportid']<=0) OR ($bloginfo[6]!=$_SESSION['eportid'])) :
				$obeport->goPageDelay("login",1);
			else:
			// load page
			ob_start();	
			require_once("modules/blog/post.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $bloginfo[1]);
			$smarty->assign("site_subtitle", $bloginfo[3]);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/blog/".$mod."\">".$mod."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('post.tpl');
			endif;
		break;
case "load_profile_view":	
			// is login and get blog info from blog shotcut
			$bloginfo=$obeport->getBlogInfo($mod);
			if (($_SESSION['eportid']<=0)) :
				$obeport->goPageDelay("login",1);
			else:
			// load page
			ob_start();	
			require_once("modules/profile/viewprofile.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"".$cfg_url."/user/".$mod."/view\">"._PORT_PROFILE."</a>";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('profile.tpl');
			endif;
		break;
case "load_profile_edit":	
			// is login and get blog info from blog shotcut
			$bloginfo=$obeport->getBlogInfo($mod);
			if (($_SESSION['eportid']<=0)) :
				$obeport->goPageDelay("login",1);
			else:
			// load page
			ob_start();	
			require_once("modules/profile/editprofile.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"".$cfg_url."/cp\">"._PORT_CONTROL_PANEL."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('cp.tpl');
			endif;
		break;
case "load_profile_delete":	
			// is login and get blog info from blog shotcut
			$bloginfo=$obeport->getBlogInfo($mod);
			if (($_SESSION['eportid']<=0)) :
				$obeport->goPageDelay("login",1);
			else:
			// load page
			ob_start();	
			require_once("modules/profile/deleteprofile.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"".$cfg_url."/cp\">"._PORT_CONTROL_PANEL."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('cp.tpl');
			endif;
		break;
case "load_profile_active":	
			// is login and get blog info from blog shotcut
			$bloginfo=$obeport->getBlogInfo($mod);
			if (($_SESSION['eportid']<=0)) :
				$obeport->goPageDelay("login",1);
			else:
			// load page
			ob_start();	
			require_once("modules/profile/activeprofile.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"".$cfg_url."/cp\">"._PORT_CONTROL_PANEL."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('cp.tpl');
			endif;
		break;
case "load_blog_edit":	
			// is login and get blog info from blog shotcut
			$bloginfo=$obeport->getBlogInfo($mod);
			if (($_SESSION['eportid']<=0)) :
				$obeport->goPageDelay("login",1);
			else:
			// load page
			ob_start();	
			require_once("modules/blog/editblog.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"".$cfg_url."/cp\">"._PORT_CONTROL_PANEL."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('cp.tpl');
			endif;
		break;		
case "load_blog_delete":	
			// is login and get blog info from blog shotcut
			$bloginfo=$obeport->getBlogInfo($mod);
			if (($_SESSION['eportid']<=0)) :
				$obeport->goPageDelay("login",1);
			else:
			// load page
			ob_start();	
			require_once("modules/blog/deleteblog.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"".$cfg_url."/cp\">"._PORT_CONTROL_PANEL."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('cp.tpl');
			endif;
		break;
case "load_blog_active":	
			// is login and get blog info from blog shotcut
			$bloginfo=$obeport->getBlogInfo($mod);
			if (($_SESSION['eportid']<=0)) :
				$obeport->goPageDelay("login",1);
			else:
			// load page
			ob_start();	
			require_once("modules/blog/activeblog.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			//set title
			$smarty->assign("site_title", $cfg_title);
			$smarty->assign("site_subtitle", $cfg_slogan);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;";
			$navigator_content.="<a href=\"".$cfg_url."/cp\">"._PORT_CONTROL_PANEL."</a>&nbsp;/&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('cp.tpl');
			endif;
		break;									
case "load_file_user" :
			// is login
			if ($_SESSION['eportid']<=0) :
				$obeport->goPageDelay("login",1);
			else:
			// load user info
			$uinfo=$obeport->getUserInfo($_SESSION['eportid']);
			// load index
			ob_start();	
			require_once("modules/file/index.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			// load user info
			$uinfo=$obeport->getUserInfo($_SESSION['eportid']);
			//set title
			$smarty->assign("site_title", $uinfo[1]);
			$smarty->assign("site_subtitle",_PORT_FILE_VEW);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/blog/".$uinfo[3]."\">".$uinfo[3]."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/files/".$uinfo[3]."\">"._PORT_FILE_VEW."</a>&nbsp;";
			//$navigator_content.="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/systemsettings.png\" align=\"absmiddle\">&nbsp;<a href=\"".$cfg_url."/cp\">"._PORT_CONTROL_PANEL."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			
			// load block right
			$blockcontent=$obeport->getBlock("r","*");
			$blockcontent.=$obeport->getBlock("r","/files");
			$smarty->assign("site_block_right",$blockcontent);
			// load block left
			$blockcontent=$obeport->getBlock("l","*");
			$blockcontent.=$obeport->getBlock("l","/files");	
			$smarty->assign("site_block_left",$blockcontent);
			// load block center
			$blockcontent=$obeport->getBlock("c","*");
			$blockcontent.=$obeport->getBlock("c","/files");						
			$smarty->assign("site_block_center",$blockcontent);
			// load block top
			$blockcontent=$obeport->getBlock("t","*");
			$blockcontent.=$obeport->getBlock("t","/files");						
			$smarty->assign("site_block_top",$blockcontent);		
			// load block down
			$blockcontent=$obeport->getBlock("d","*");
			$blockcontent.=$obeport->getBlock("d","/files");						
			$smarty->assign("site_block_top",$blockcontent);		
						
			// display
			$smarty->display('file.tpl');
			endif;
		break;
case "load_file_upload" :
			// is login
			if ($_SESSION['eportid']<=0) :
				$obeport->goPageDelay("login",1);
			else:
			// load index
			ob_start();	
			require_once("modules/file/upload.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			// load user info
			$uinfo=$obeport->getUserInfo($_SESSION['eportid']);
			//set title
			$smarty->assign("site_title", $uinfo[1]);
			$smarty->assign("site_subtitle",  _PORT_FILES);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/blog/".$uinfo[3]."\">".$uinfo[3]."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/files/".$mod."\">"._PORT_UPLOAD."</a>&nbsp;";
			//$navigator_content.="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/systemsettings.png\" align=\"absmiddle\">&nbsp;<a href=\"".$cfg_url."/cp\">"._PORT_CONTROL_PANEL."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('file.tpl');
			endif;
		break;	
case "load_file_view" :
			// is login
			if ($_SESSION['eportid']<=0) :
				$obeport->goPageDelay("login",1);
			else:
			// load index
			ob_start();	
			require_once("modules/file/view.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			// load user info
			$uinfo=$obeport->getUserInfo($_SESSION['eportid']);
			//set title
			$smarty->assign("site_title", $uinfo[1]);
			$smarty->assign("site_subtitle",  _PORT_FILES);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/files/".$uinfo[3]."\">"._PORT_FILES."</a>&nbsp;";
			//$navigator_content.="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/systemsettings.png\" align=\"absmiddle\">&nbsp;<a href=\"".$cfg_url."/cp\">"._PORT_CONTROL_PANEL."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('file.tpl');
			endif;
		break;		
case "load_file_edit" :
			// is login
			if ($_SESSION['eportid']<=0) :
				$obeport->goPageDelay("login",1);
			else:
			// load index
			ob_start();	
			require_once("modules/file/edit.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			// load user info
			$uinfo=$obeport->getUserInfo($_SESSION['eportid']);
			//set title
			$smarty->assign("site_title", $uinfo[1]);
			$smarty->assign("site_subtitle",  _PORT_FILES);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/files/".$uinfo[3]."\">"._PORT_FILES."</a>&nbsp;";
			//$navigator_content.="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/systemsettings.png\" align=\"absmiddle\">&nbsp;<a href=\"".$cfg_url."/cp\">"._PORT_CONTROL_PANEL."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('file.tpl');
			endif;
		break;
case "load_file_delete" :
			// is login
			if ($_SESSION['eportid']<=0) :
				$obeport->goPageDelay("login",1);
			else:
			// load index
			ob_start();	
			require_once("modules/file/delete.php");
			$content = ob_get_contents();
			ob_end_clean();
			$smarty->assign("site_body", $content);
			// load user info
			$uinfo=$obeport->getUserInfo($_SESSION['eportid']);
			//set title
			$smarty->assign("site_title", $uinfo[1]);
			$smarty->assign("site_subtitle",  _PORT_FILES);
			// set path navagation
			$navigator_content="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/kfm_home.png\" align=\"absmiddle\">&nbsp;<a href=\"/\">"._PORT_HOME."</a>&nbsp;/&nbsp;";
			$navigator_content.="<a href=\"/files/".$uinfo[3]."\">"._PORT_FILES."</a>&nbsp;";
			//$navigator_content.="<img src=\"".$cfg_url."/theme/".$cfg_theme."/images/systemsettings.png\" align=\"absmiddle\">&nbsp;<a href=\"".$cfg_url."/cp\">"._PORT_CONTROL_PANEL."</a>&nbsp;";
			$smarty->assign("site_path", $navigator_content);
			// display
			$smarty->display('file.tpl');
			endif;
		break;					
case "load_file_download":
		if (file_exists($cfg_dir."/upload/files/".sprintf("%05d",$file)."_".$item)) {
			$fp=fopen($cfg_dir."/upload/files/".sprintf("%05d",$file)."_".$item,"r");
			$content=fread($fp,filesize($cfg_dir."/upload/files/".sprintf("%05d",$file)."_".$item));
			fclose($fp);
			Header("Content-type: application/application/x-unknown");
			Header("Content-Disposition: attachment; filename=".$item);
			echo $content;
			exit;
		}
		break;		
case "load_feed":
		include_once("modules/feed/index.php");
		break;				
	default:
			header("location:/");
		break;
}

?>